Skip to main content
`Ctrl`+`K`

# SNESMSSetDamping

Set the damping parameter for a `SNESMS` multistage scheme

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSSetDamping(SNES snes, PetscReal damping)

Logically Collective

## Input Parameters

- snes - nonlinear solver context

- damping - damping parameter

## See Also

SNES: Nonlinear Solvers, `SNESMSGetDamping()`, `SNESMS`

## Level

advanced

## Location

src/snes/impls/ms/ms.c

## Implementations

SNESMSSetDamping_MS() in src/snes/impls/ms/ms.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages